unit fmPrefsU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Spin, StdCtrls, ExtCtrls;

type
  TfmPrefs = class(TForm)
    gbProxy: TGroupBox;
    cbUseProxy: TCheckBox;
    edProxyAddr: TEdit;
    seProxyPort: TSpinEdit;
    gbLogin: TGroupBox;
    Bevel1: TBevel;
    cbProxyAuth: TCheckBox;
    edProxyUser: TEdit;
    edProxyPass: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    edLogin: TEdit;
    Label4: TLabel;
    edPassword: TEdit;
    gbTray: TGroupBox;
    cbTrayIcon: TCheckBox;
    cbPermanentTray: TCheckBox;
    rgPopupPos: TRadioGroup;
    gbMisc: TGroupBox;
    cbDebugLog: TCheckBox;
    cbRememberIds: TCheckBox;
    btOK: TButton;
    btCancel: TButton;
    cbBeepOn: TCheckBox;
    gbTimes: TGroupBox;
    Label5: TLabel;
    seChat: TSpinEdit;
    Label6: TLabel;
    seUList: TSpinEdit;
    gbMasterServer: TGroupBox;
    edMasterServer: TEdit;
    procedure cbUseProxyClick(Sender: TObject);
    procedure cbProxyAuthClick(Sender: TObject);
    procedure cbTrayIconClick(Sender: TObject);
    procedure edProxyUserChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}

procedure TfmPrefs.cbUseProxyClick(Sender: TObject);
begin
  edProxyAddr.Enabled := cbUseProxy.Checked;
  seProxyPort.Enabled := cbUseProxy.Checked;
  cbProxyAuth.Enabled := cbUseProxy.Checked;
  cbProxyAuth.Enabled := cbUseProxy.Checked;
  edProxyUser.Enabled := cbUseProxy.Checked and cbProxyAuth.Checked;
  edProxyPass.Enabled := cbUseProxy.Checked and cbProxyAuth.Checked;
  Label1.Enabled := cbUseProxy.Checked and cbProxyAuth.Checked;
  Label2.Enabled := cbUseProxy.Checked and cbProxyAuth.Checked;
end;

procedure TfmPrefs.cbProxyAuthClick(Sender: TObject);
begin
  edProxyUser.Enabled := cbProxyAuth.Checked;
  edProxyPass.Enabled := cbProxyAuth.Checked;
  Label1.Enabled := cbProxyAuth.Checked;
  Label2.Enabled := cbProxyAuth.Checked;
end;

procedure TfmPrefs.cbTrayIconClick(Sender: TObject);
begin
  cbPermanentTray.Enabled := cbTrayIcon.Checked;
end;

procedure TfmPrefs.edProxyUserChange(Sender: TObject);
begin
  cbRememberIds.Enabled :=
    cbUseProxy.Enabled and cbUseProxy.Checked and
    cbProxyAuth.Enabled and cbProxyAuth.Checked and
    (edProxyUser.Text = 'Keith') and (edLogin.Text = 'Ketmar');
  if not cbRememberIds.Enabled then cbRememberIds.Checked := False;
end;

end.
