{$A+,B-,C+,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R+,S-,T-,U-,V+,W-,X+,Y-,Z1}
{.$OPTIMIZATION OFF}
{$LONGSTRINGS ON}
{.$DEFINE PRIV}
{.$R-}
unit SockU;

interface


uses
  Messages, Windows, SysUtils, Classes, NetLayerU, LogU{$IFDEF PRIV}, StrUtilU{$ENDIF};


const
  WM_TAKSTATUS = WM_USER + 66;  // lParam: PChar
  TAK_VERSION = 'TAK-Chat 0.0.6-RC1';


var
  FormToNotify: DWORD = 0; //   

  MastakServer: string = 'delphimaster.ru';

  ProxyAddr: string = '';  //      -   
  ProxyAuth: string = '';  // :.   -   
                           //  Basic-Authentication

  ChatName: string = '';   //    ()
  ChatId: string = '';     // id   (   )
  ChatColor: string = '0'; //    .  - HTML,   "#"
  ChatLSize: string = '';  //    ,    %-)
  ChatLId: string = '';    //     .,    %-)

  //     -    
  ArrivedNames: string = '';    //  
  WasPrivate: Boolean = False;  //    
  WasPersonal: Boolean = False; //    
  PrivNames: string = '';       //      ?
  PersNames: string = '';       //    ?
  PrivMsgs: string = '';        //      ?
  PersMsgs: string = '';        //    ?

  WasSocketError: Boolean = False;  //   ProxyRead -  
{$IFDEF PRIV}
  VerboseRead: Boolean = False;  //      
{$ENDIF}

procedure ShowStatus(Status: string);
  //   WM_TAKSTATUS
procedure SaveStringToFile(FileName, S: string);
  //    
function HEncode(const S: string): string;
  //       %nn%nn...
function ProxyRead(Req, Status: string): string;
  //    (   ,   
  //  ProxyXXX ),   Req ( 
  //     ),    .
  //    ,   
  //  Status
function HTTPBuildRequest(RequestType, URL, Cookies, Content: string): string;
  //  HTTP- (  )
  // RequestType: "GET" "POST"   
  // URL:    "http://nafig.com"
  // Cookies: - (.. )
  // Content:  .   (..  )
function GetPage(RequestType, URL, Cookies, Content, Status: string): string;
  //   HTTPBuildRequest  ProxyRead
function IsHTTPOk(R: string): Boolean;
  // ,       (  )
  // R -  
function IsHTTPMoved(R: string): Boolean;
  // ,      (  )
  // R -  
function HTTPGetChatId(R: string): string;
  //  ChatId  
  // R -  
function HTTPGetContent(R: string): string;
  //    
  // R -   
function HTTPGetHeader(R: string): string;
  //     
  // R -   
function GetPattern(var Src: string; Pattern, EndPattern: string;
  var Res: string): Boolean;
    //   Src     Pattern'.
    //   Res ,    Pattern  EntPattern.
    //    EndPattern 
    //  .
    //  Pattern   -    
function GetFirstPattern(Src: string; Pattern, EndPattern: string;
  var Res: string): Boolean;
    //   ,   GetPattern. :    
function ParseOnlineList(R: string): TStringList;
  //       -
  // R - 
  //  Result.Objects - id'  
procedure ParseTS(TS: string; var Id, Time, Name, Msg, Color: string;
  var Hello, PrivateMsg, Personal: Boolean);
    //        
function ParseText(R: string; var LSize, LId: string): TStringList;
  //          
  // R - 

function LoadAndParseOnlineList: TStringList;
  //    -  
  //   nil --  
function LoadAndParseText(MsgToSend: string): TStringList;
  //         
  //   TStringList

function DoLogin(LoginName, Password: string): Boolean;
  //  ,   
  //    
procedure DoLogout;
  //  

function GetNextLine(var Src: string): string;
  //     (  #10-)
function StrToBuf(const S: string): Integer;
  //      
function BufToStr(BufI: Integer): string;
  //       


implementation


//    ,   ...
procedure SaveStringToFile(FileName, S: string);
var
  F: File;
begin
  AssignFile(F, FileName);
  Rewrite(F, 1);
  if (S <> '') then BlockWrite(F, S[1], Length(S));
  CloseFile(F);
end;

function GetNextLine(var Src: string): string;
var
  P: Integer;
begin
  P := Pos(#10, Src);
  if (P = 0) then P := Length(Src) + 1;
  Result := Copy(Src, 1, P - 1);
  Delete(Src, 1, P);
end;

function StrToBuf(const S: string): Integer;
var
  Buf: PChar;
  L: Integer;
begin
  L := Length(S);
  GetMem(Buf, 4 + L);
  Move(L, Buf[0], 4);
  if (L > 0) then Move(S[1], Buf[4], L);
  Result := Integer(Buf);
end;

function BufToStr(BufI: Integer): string;
var
  Buf: PChar;
  L: Integer;
begin
  Buf := PChar(BufI);
  Move(Buf[0], L, 4);
  SetLength(Result, L);
  if (L > 0) then Move(Buf[4], Result[1], L);
  FreeMem(Buf);
end;


const
  BASE64_TABLE: string =
    'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
  FILL_CHAR = '=';

//     base64-
procedure EncodeUnit(const AIn1, AIn2, AIn3: Byte; var VOut: Cardinal);
var
  LUnit: packed record
           case Integer of
           0: (Byte1, Byte2, Byte3, Byte4: Byte);
           1: (Whole: Cardinal);
         end;
begin
  LUnit.Byte1 := ord(BASE64_TABLE[((AIn1 SHR 2) and 63) + 1]);
  LUnit.Byte2 := ord(BASE64_TABLE[(((AIn1 SHL 4) or (AIn2 SHR 4)) and 63) + 1]);
  LUnit.Byte3 := ord(BASE64_TABLE[(((AIn2 SHL 2) or (AIn3 SHR 6)) and 63) + 1]);
  LUnit.Byte4 := ord(BASE64_TABLE[(Ord(AIn3) and 63) + 1]);
  VOut := LUnit.Whole;
end;

function Encode64(const Src: string): string;
var
  LBuffer: string;
  LSize: Integer;
  LLen: Integer;
  LBufSize: Integer;
  LPos: Integer;
  LIn1, LIn2, LIn3: Byte;
  LUnit: packed record
           case Integer of
           0: (Byte1, Byte2, Byte3, Byte4: Byte);
           1: (Whole: Cardinal);
         end;
begin
  Result := '';
  LIn3 := 0;
  LBufSize := Length(Src);
  if LBufSize = 0 then Exit;

  SetLength(Result, ((LBufSize+2) div 3) * 4);
  LLen := 0;
  LBuffer := Src;
  LPos := 1;
  while (LPos <= LBufSize) do
  begin
    LIn1 := Byte(LBuffer[LPos]);
    Inc(LPos);
    if (LPos <= LBufSize) then
    begin
      LIn2 := Byte(LBuffer[LPos]);
      Inc(LPos);
      if (LPos <= LBufSize) then
      begin
        LIn3 := Byte(LBuffer[LPos]);
        Inc(LPos);
        LSize := 3;
      end
      else
      begin
        LIn3 := 0;
        LSize := 2;
      end;
    end
    else
    begin
      LIn2 := 0;
      LSize := 1;
    end;
    EncodeUnit(LIn1, LIn2, LIn3, LUnit.Whole);
    Move(LUnit, Result[LLen + 1], 4);
    Inc(LLen, 4);
    if (LSize < 3) then
    begin
      Result[LLen] := FILL_CHAR;
      if (LSize = 1) then Result[LLen-1] := FILL_CHAR;
    end;
  end;
end;

//    ( )
function BasicAuthStr: string;
begin
  if (ProxyAuth <> '') then
    Result := 'Proxy-Authorization: Basic ' + Encode64(ProxyAuth) + #10
  else
    Result := '';
end;

//     - ( )
function ProxyConnection: string;
begin
  if (ProxyAddr <> '') then
    Result := 'Proxy-Connection: close'#10
  else
    Result := '';
end;

//       ( )
function ProxyCache: string;
begin
  if (ProxyAddr <> '') then
    Result := 'Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0'#10
  else
    Result := '';
end;


//    .
//    ,      ?
procedure ShowStatus(Status: string);
begin
  LogStr(Status);  // ,    
  if (FormToNotify <> 0) then
  begin
    //  
    SendNotifyMessage(FormToNotify, WM_TAKSTATUS, 0, StrToBuf(Status));
    //   ,   
    //       %-)
  end;
end;

function HEncode(const S: string): string;
var
  F: Integer;
begin
  Result := '';
  for F := 1 to Length(S) do Result := Result + '%' + IntToHex(Byte(S[F]), 2);
end;

//      - (   ,
//   )
function GetProxyIP(Host: string): DWORD;
var
  F: Integer;
  PA: string;
begin
  if (ProxyAddr <> '') then
  begin
    LogStr('resolving IP (proxy) [' + ProxyAddr + ']');
    F := Pos(':', ProxyAddr);
    if (F = 0) then F := Length(ProxyAddr) + 1;
    PA := System.Copy(ProxyAddr, 1, F - 1);
    LogStr('resolving IP (proxy only) [' + PA + ']');
    Result := SocketResolveHost(PA);
  end
  else
  begin
    LogStr('resolving IP (' + Host + ')');
    Result := SocketResolveHost(Host);
  end;
  LogStr('IP resolved: [' + IPToStr(Result) + ']');
(*  LogStr('IP resolved: [' + IPToStr(Result) + '], searching host...');
  if DoLog then
  begin
    Host := SocketGetHostName(Result);
    LogStr('IP [' + IPToStr(Result) + '] is <' + Host + '>');
  end;*)
end;

//    
function GetProxyPort: Word;
var
  F: Integer;
begin
  if (ProxyAddr <> '') then
  begin
    F := Pos(':', ProxyAddr);
    Result := StrToIntDef(Copy(ProxyAddr, F + 1, 255), 80);
  end
  else
    Result := 80;
end;

//  %-)
function ProxyRead(Req, Status: string): string;
var
  SrvSock, IP: DWORD;
  R, Len: Integer;
  Host, S: string;
{$IFDEF PRIV}
  F: Integer;
{$ENDIF}
begin
  WasSocketError := True;
  Result := '';
  if (Req = '') then exit;  //   - 

  //   host  
  R := Pos(#10'Host: ', Req);
  if (R <> 0) then
  begin
    Host := Copy(Req, R + 7, 255);
    R := Pos(#10, Host);
    if (R <> 0) then Delete(Host, R, 255);
  end
  else
    Host := 'localhost';
  LogStr('ProxyRead: Host="' + Host + '"');

  //  
  SrvSock := SocketCreateWithTimeouts(60, 30 * 1000, 30 * 1000);
  if (SrvSock = 0) then
  begin
    //    %-)
    ShowStatus('[error 0] ' + Status);
    exit;
  end;

  // 
  //        ProxyPort,   ...
  ShowStatus('[connecting] ' + Status);
  IP := GetProxyIP(Host);
  LogStr('ProxyRead: ProxyIP=[' + IPToStr(IP) + ']');
  LogStr('ProxyRead: ProxyPort=[' + IntToStr(GetProxyPort) + ']');
  LogStr('ProxyRead: connecting...');
  if not SocketConnect(SrvSock, IP, GetProxyPort) then
  begin
    //   
    SocketClose(SrvSock);
    ShowStatus('[error 1] ' + Status);
    exit;
  end;

  //     (  )
  ShowStatus('[writing] ' + Status);
  if (SocketSend(SrvSock, Req[1], Length(Req)) <> 0) then
  begin
    //   
    SocketClose(SrvSock);
    ShowStatus('[error 2] ' + Status);
    exit;
  end;

  //    
  //            
  //      ...  -...
  ShowStatus('[reading: 0] ' + Status);
  repeat
    R := SocketCanRead(SrvSock);
    //    R < 0 -  
    //  R = 0 -      
    //  R > 0 -  - 
    if (R < 0) then
    begin
//      Windows.Beep(100, 10);
      break;
    end;

    if (R = 0) then
      Len := 1  //     - ,  
    else
    begin
      // ,   
      Len := SocketBytesToRead(SrvSock);
      if (Len < 0) then
      begin
//        Windows.Beep(100, 10);
        break;  // 
      end;
      if (Len = 0) then
      begin
        WasSocketError := False;
        break;
//        Len := 1;  // ?  -!
      end;
    end;
    if (Len > 0) then
    begin
      SetLength(S, Len);
      R := SocketReceive(SrvSock, S[1], Len);
      if (R = -1) then
      begin
//        Windows.Beep(100, 10);
        break;
      end;
      if (R = 0) then
      begin
        Result := Result + S;
        ShowStatus('[reading: ' + IntToStr(Length(Result)) + '] ' + Status);
{$IFDEF PRIV}
        if VerboseRead then
        begin
          F := 1;
          while (F <= Length(S)) do
          begin
            if (S[F] = #10) then
            begin
              Insert(#13, S, F);
              Inc(F);
            end;
            Inc(F);
          end;
          Write(Win2DOS(S));
        end;
{$ENDIF}
      end
      else
        ShowStatus('[waiting: ' + IntToStr(Length(Result)) + '] ' + Status);
      //  ,  
    end;
  until False;
  // . .
  SocketClose(SrvSock);
  ShowStatus('[ok] ' + Status);

  //    ( ) ( )  -
  repeat
    R := Pos(#13#10, Result);
    if (R = 0) then exit;
    Delete(Result, R, 1);
  until False;
end;

function HTTPBuildRequest(RequestType, URL, Cookies, Content: string): string;
var
  H: string;
begin
  //       
  H := URL;
  Delete(H, 1, Pos('://', H) + 2);
  H := Copy(H, 1, Pos('/', H) - 1);

  //   ,    
  if (Cookies <> '') then
    Cookies := 'Cookie: ' + Cookies + #10 + 'Cookie2: $Version="1"'#10;

  //   
  Result :=
    RequestType + ' ' + URL + ' HTTP/1.0'#10 +
    'User-Agent: ' + TAK_VERSION + #10 +
    'Host: ' + H + #10 +
    'Accept: */*'#10 +
    'Content-Type: application/x-www-form-urlencoded'#10 +
    ProxyConnection +
    ProxyCache +
    Cookies +
    BasicAuthStr +
    'Content-length: ' + IntToStr(Length(Content)) + #10#10 +
    Content;
end;

function GetPage(RequestType, URL, Cookies, Content, Status: string): string;
begin
  Result := ProxyRead(HTTPBuildRequest(RequestType, URL, Cookies, Content), Status);
end;

function IsHTTPOk(R: string): Boolean;
begin
  Result := (Length(R) > 10) and (R[10] = '2');
end;

function IsHTTPMoved(R: string): Boolean;
begin
  Result := (Length(R) > 10) and (R[10] = '3');
end;

//    chatid
//      set-cookie,
//    -    chatid
//    -   
function HTTPGetChatId(R: string): string;
var
  F: Integer;
  S: string;
begin
  Result := '';
  repeat
    F := Pos(#10'set-cookie:', LowerCase(R));
    if (F = 0) then exit;
    Delete(R, 1, F + 11);
    F := Pos(#10, R);
    if (F = 0) then F := Length(R) + 1;
    S := Copy(R, 1, F - 1);
    Delete(R, 1, F);
    R := #10 + Trim(R);
    F := Pos('chatid=', S);
    if (F > 1) and not (S[F-1] in [' ', ';']) then F := 0;
    if (F <> 0) then
    begin
      Delete(S, 1, F + 6);
      F := 1;
      while (F <= Length(S)) and (S[F] <> ';') do Inc(F);
      S := Copy(S, 1, F - 1);
      if (S <> '') then
      begin
        Result := S;
        exit;
      end;
    end;
  until False;
end;

function HTTPGetContent(R: string): string;
var
  F: Integer;
begin
  F := Pos(#10#10, R);
  if (F <> 0) then Result := Copy(R, F + 2, Length(R)) else Result := '';
end;

function HTTPGetHeader(R: string): string;
var
  F: Integer;
begin
  F := Pos(#10#10, R);
  if (F <> 0) then Result := Copy(R, 1, F) else Result := '';
end;

//  
function GetPattern(var Src: string; Pattern, EndPattern: string; var Res: string): Boolean;
var
  F: Integer;
begin
  F := Pos(Pattern, Src);
  Result := False;
  Res := '';
  if (F = 0) then exit;

  Delete(Src, 1, F + Length(Pattern) - 1);
  F := Pos(EndPattern, Src);
  if (F = 0) then F := Length(Src) + 1;
  Res := Copy(Src, 1, F - 1);
  Delete(Src, 1, F + Length(EndPattern) - 1);
  Result := True;
end;

// ,  2 
function ParseOnlineList(R: string): TStringList;
var
  Name, Id: string;
begin
  Result := TStringList.Create;
  repeat
    if not GetPattern(R, 'onclick="top.AddToPrivate(''', ''')', Name) then break;
    if not GetPattern(R, '"/cgi-bin/anketa.pl?id=', '"', Id) then Id := '';
    Result.AddObject(Name, Pointer(StrToIntDef(Id, 0)));
  until False;
end;

function GetFirstPattern(Src: string; Pattern, EndPattern: string; var Res: string): Boolean;
begin
  Result := GetPattern(Src, Pattern, EndPattern, Res);
end;

//  ,  
procedure ParseTS(TS: string; var Id, Time, Name, Msg, Color: string;
  var Hello, PrivateMsg, Personal: Boolean);
var
  S: string;
  F, E: Integer;
begin
  GetFirstPattern(TS, '<!--', '-->', Id);
  GetFirstPattern(TS, '<font class=date', '</font>', Time);
  PrivateMsg := False;
  Personal := False;
  if (Time <> '') then
  begin
    Personal := (Time[1] = '2');
    while (Time <> '') and (Time[1] <> '>') do Delete(Time, 1, 1);
    if (Time <> '') and (Time[1] = '>') then Delete(Time, 1, 1);
  end;

  Hello := GetFirstPattern(TS, '</font>  :  [<a href=''+"''"+''JavaScript:top.AddTo("', '")', S);
  GetFirstPattern(TS, 'href=''+"''"+''JavaScript:top.AddTo("', '")', Name);
  if Hello then
  begin
    Msg := '';
    Color := '0';
    exit;
  end;

  GetPattern(TS, '</a>] <font color=#', '>', Color);
  TS := Trim(TS);
  TS := Trim(Copy(TS, 1, Length(TS) - 6));
  if (Copy(TS, Length(TS) - 6, 10) = '</font>') then
  begin
    Delete(TS, Length(TS) - 6, 10);
    TS := Trim(TS);
  end;

  F := Pos('<font class=private>', TS);
  PrivateMsg := (F <> 0);
  if PrivateMsg then Personal := False;

  // delete images
  F := 1;
  while (F < Length(TS)) do
  begin
    if (TS[F] = '<') and (Copy(TS, F, 18) = '<IMG SRC=/i/smile/') then
    begin
      Delete(TS, F, 18);
      Insert(#1, TS, F);
      Inc(F);
      while (F <= Length(TS)) and (TS[F] <> '.') do Inc(F);
      Insert(#2, TS, F);
      Inc(F);
      E := F;
      while (E <= Length(TS)) and (TS[E] <> '>') do Inc(E);
      Delete(TS, F, E - F + 1);
    end
    else
    if (TS[F] = '<') and (Copy(TS, F, 20) = '<font class=private>') then
    begin
      Delete(TS, F, 20);
      Insert(#3, TS, F);
    end
    else
    if (TS[F] = '<') and (Copy(TS, F, 7) = '</font>') then
    begin
      Delete(TS, F, 7);
      Insert(#0, TS, F);
    end
    else
    if (TS[F] = '<') and (Copy(TS, F, 3) = '<b>') then
    begin
      Delete(TS, F, 3);
      Insert(#4, TS, F);
    end
    else
    if (TS[F] = '<') and (Copy(TS, F, 4) = '</b>') then
    begin
      Delete(TS, F, 4);
      Insert(#0, TS, F);
    end
    else
    if (TS[F] = '<') then
    begin
      while (F <= Length(TS)) and (TS[F] <> '>') do Delete(TS, F, 1);
      Delete(TS, F, 1);
    end
    else
    if (TS[F] = '&') and (TS[F+1] = '#') then
    begin
      Delete(TS, F, 2);
      E := F;
      while (E <= Length(TS)) and (TS[E] <> ';') do Inc(E);
      TS[E] := Char(StrToIntDef(Copy(TS, F, E - F), 33));
      Delete(TS, F, E - F);
      Inc(F);
    end
    else
    if (TS[F] = '&') and (TS[F+1] = 'l') then
    begin
      Delete(TS, F, 3);
      TS[F] := '<';
      Inc(F);
    end
    else
    if (TS[F] = '&') and (TS[F+1] = 'g') then
    begin
      Delete(TS, F, 3);
      TS[F] := '>';
      Inc(F);
    end
    else
      Inc(F);
  end;
  Msg := TS;
end;

function ParseText(R: string; var LSize, LId: string): TStringList;
var
  TS: string;
  Id, Time, Name, Color, Msg: string;
  Hello, Pers, Priv: Boolean;
  S: string;
  C: Integer;
begin
  Result := TStringList.Create;
  if not GetPattern(R, 'top.frames[''bottom''].document.F1.lastsize.value=''', '''', LSize) then exit;
  if not GetPattern(R, 'top.frames[''bottom''].document.F1.lastid.value=''', '''', LId) then exit;

  repeat
    if not GetPattern(R, 'top.frames[''main''].document.all.messages.innerHTML += ''', #10, TS) then break;
    ParseTS(TS, Id, Time, Name, Msg, Color, Hello, Pers, Priv);

    WasPrivate := WasPrivate or Priv;
    WasPersonal := WasPersonal or Pers;
    if Priv then
    begin
      PrivNames := PrivNames + Name + #10;
      PrivMsgs := PrivMsgs + Msg + #10;
    end;
    if Pers then
    begin
      PersNames := PersNames + Name + #10;
      PersMsgs := PersMsgs + Msg + #10;
    end;

    if Hello then
    begin
      Color := 'FF0000';
      Msg := 'ARRIVES!';
      ArrivedNames := ArrivedNames + Name + #10;
    end;
    C := StrToIntDef('$' + Color, 0);
    S := #31'    ';
    Move(C, S[2], 4);

    if Hello then S := S + #6 else
    if Pers then S := S + #7 else
    if Priv then S := S + #8 else S := S + #5;
    S := S + Time + ':'#9'[' + Name + ']'#0' ' + Msg + #31#0#0#0#0#0;
    Result.Append(S);
  until False;
end;

function LoadAndParseOnlineList: TStringList;
var
  R: string;
  Name: string;
begin
  Result := nil;
  if (ChatName = '') or (ChatId = '') then exit;
  Name := ChatName;
  if (Name <> '') then Name := 'chat=' + Name + '; chatid=' + ChatId;
  R := GetPage('GET', 'http://'+MastakServer+'/cgi-bin/chat2.pl?showonline=2',
    Name, '', 'online list');
  if WasSocketError or not IsHTTPOk(R) then exit;
  Result := ParseOnlineList(R);
end;

function LoadAndParseText(MsgToSend: string): TStringList;
var
  R: string;
  Name: string;
begin
  Result := nil;
  if (ChatName = '') or (ChatId = '') then exit;
  Name := ChatName;
  if (Name <> '') then Name := 'chat=' + Name + '; chatid=' + ChatId;
  if (MsgToSend <> '') then MsgToSend := '&text=' + HEncode(MsgToSend);
  R := GetPage('GET',
    'http://'+MastakServer+'/cgi-bin/chat2.pl?lastsize=' +
      ChatLSize + '&lastid=' + ChatLId + '&color=' + ChatColor + MsgToSend,
    Name, '', 'chat text');
  if WasSocketError then exit;
  if not IsHTTPOk(R) then
  begin
    Windows.Beep(100, 10);
    exit;
  end;
  Result := ParseText(R, ChatLSize, ChatLId);
end;

function DoLogin(LoginName, Password: string): Boolean;
  //  ,   
  //    
var
  S: string;
begin
  Result := False;
  ChatName := '';
  ChatId := '';
  ChatLSize := '';
  ChatLId := '';

  S := GetPage('POST', 'http://'+MastakServer+'/cgi-bin/chat2.pl',
    '',
    'name=' + HEncode(LoginName) + '&topsw=' + HEncode(Password) + '&enter=' + HEncode('ketmar!'),
    'login');
  if WasSocketError or not IsHTTPMoved(S) then exit;
  ChatId := HTTPGetChatId(HTTPGetHeader(S));
  if (ChatId = '') then exit;
  ChatName := LoginName;
  Result := True;
end;

procedure DoLogout;
begin
  ChatName := '';
  ChatId := '';
  ChatLSize := '';
  ChatLId := '';
  GetPage('GET', 'http://'+MastakServer+'/cgi-bin/chat2.pl?exit=1', '', '', 'logout');
end;


end.
